@rem   Make DFL.
@rem   http://www.dprogramming.com/dfl.php

@rem   Requires DMD and DMC's libs
@rem   Free downloads from http://www.digitalmars.com/d/dcompiler.html and http://www.digitalmars.com/download/freecompiler.html


@echo off
@cls


@rem   Either set the environment variables dmd_path and dmc_path
@rem   or fix the paths below.

if not "%dmd_path%" == "" goto dmd_set
set dmd_path=c:\dmd
:dmd_set
if not "%dmc_path%" == "" goto dmc_set
set dmc_path=c:\dm
:dmc_set


@echo on


@rem   Compile:

	@echo Compiling...
	
	@rem   -version=NO_DRAG_DROP -version=NO_MDI
	
	%dmd_path%\bin\dmd -c -debug -I.. data clipboard
        @if errorlevel 1 goto oops
	%dmd_path%\bin\dmd -c -debug -O -inline -I.. base application utf control form registry drawing menu notifyicon commondialog filedialog folderdialog panel textbox richtextbox picturebox listbox groupbox splitter usercontrol button label collections winapi wincom event socket timer environment messagebox tooltip combobox treeview tabcontrol colordialog listview
        @if errorlevel 1 goto oops
	
	@echo.


@rem   Make lib file:

	@echo Making libs...
	
	@rem   DMC's Basic Utilities required to make these libs.
	@rem   %dmc_path%\bin\implib user32_dfl.lib user32_dfl.def
        @rem   @if errorlevel 1 goto oops
	@rem   %dmc_path%\bin\implib shell32_dfl.lib shell32_dfl.def
        @rem   @if errorlevel 1 goto oops
	
	%dmc_path%\bin\lib -c -n -p32 dfl.lib %dmc_path%\lib\gdi32.lib %dmc_path%\lib\comctl32.lib %dmc_path%\lib\advapi32.lib %dmc_path%\lib\comdlg32.lib %dmc_path%\lib\ole32.lib %dmc_path%\lib\uuid.lib %dmd_path%\lib\ws2_32.lib user32_dfl.lib shell32_dfl.lib base.obj application.obj utf.obj data.obj clipboard.obj control.obj form.obj registry.obj drawing.obj menu.obj notifyicon.obj commondialog.obj filedialog.obj folderdialog.obj panel.obj textbox.obj richtextbox.obj picturebox.obj listbox.obj groupbox.obj splitter.obj usercontrol.obj button.obj label.obj collections.obj winapi.obj wincom.obj event.obj socket.obj timer.obj environment.obj messagebox.obj tooltip.obj combobox.obj treeview.obj tabcontrol.obj colordialog.obj listview.obj
        @if errorlevel 1 goto oops
	
	@echo.


@goto done
:oops
@echo Failed.


:done
@echo Done.

