// Written by Christopher E. Miller
// See the included license.txt for copyright and license details.


// Implementation and interface may be incorrect. Use at own risk.
// This module is not ready to be used.

module dfl.clipboard;

private import dfl.base, dfl.winapi, dfl.data, dfl.wincom;


class Clipboard // docmain
{
	private this() {}
	
	
	static:
	
	dfl.data.IDataObject getDataObject()
	{
		dfl.wincom.IDataObject comdobj;
		if(S_OK != OleGetClipboard(&comdobj))
			throw new DflException("Unable to obtain clipboard data object.");
		if(comdobj is comd)
			return dd;
		//delete dd;
		comd = comdobj;
		return dd = new ComToDdataObject(comdobj);
	}
	
	
	void setDataObject(Data obj, bool persist)
	{
		comd = null;
		/+
		Object ddd;
		ddd = cast(Object)dd;
		delete ddd;
		+/
		dd = null;
		
		if(obj.info)
		{
			if(cast(TypeInfo_Class)obj.info)
			{
				Object foo;
				foo = obj.getObject();
				
				/+
				if(cast(Bitmap)foo)
				{
					// ...
				}
				else +/ if(cast(dfl.data.IDataObject)foo)
				{
					dd = cast(dfl.data.IDataObject)foo;
				}
				else
				{
					// Can't set any old class object.
					throw new DflException("Unknown data object.");
				}
			}
			else
			{
				dd = new DataObject;
				dd.setData(obj);
			}
			
			assert(!(dd is null));
			comd = new DtoComDataObject(dd);
			if(S_OK != OleSetClipboard(comd))
			{
				comd = null;
				//delete dd;
				dd = null;
				goto err_set;
			}
			
			if(persist)
				OleFlushClipboard();
		}
		else
		{
			dd = null;
			if(S_OK != OleSetClipboard(null))
				goto err_set;
		}
		
		return;
		err_set:
		throw new DflException("Unable to set clipboard data.");
	}
	
	
	void setDataObject(Data obj)
	{
		setDataObject(obj, false);
	}
	
	
	private:
	dfl.wincom.IDataObject comd;
	dfl.data.IDataObject dd;
	
	
	/+
	static ~this()
	{
		Object ddd;
		ddd = cast(Object)dd;
		delete ddd;
	}
	+/
}

